import java.io.BufferedReader;
import java.io.InputStreamReader;

class Venda {
	static Produto produtos[] = new Produto[5];
	
	public static void main (String args[])  throws Exception {
		int opcao, cod, qt;
		Produto temp;
		InputStreamReader reader = new InputStreamReader(System.in);
		BufferedReader in = new BufferedReader(reader);
		
		produtos[0] = new Produto(1000, "TV 30", 20, 10);
		produtos[1] = new Produto(30, "Grampeador", 100, 20);
		produtos[2] = new Produto(2000, "TV 42", 20, 5);
		produtos[3] = new Produto(1.99, "Grampo", 1000, 100);
		produtos[4] = new Produto(10, "Copo", 2000, 100);
	
		do {
			System.out.println("***********************************************************************");
			System.out.print("(1) Listar (2) Comprar (3) Devolver (4) Sair:\n");
			opcao = Integer.parseInt(in.readLine());													
			switch (opcao) {
				case 1:
					System.out.println("***********************************************************************");
					System.out.print("(Lista de produtos disponíveis: \n");
					for (int i=0; i<produtos.length; ++i) 
						System.out.println(produtos[i]);
					break;
				case 2:
					System.out.print("Qual o codigo do produto a comprar: ");
					cod = Integer.parseInt(in.readLine());													
					System.out.print("Qual o quantidade do produto a comprar: ");
					qt = Integer.parseInt(in.readLine());													
					temp = buscaProduto(cod);
					if (temp != null) {
						if (temp.baixarEstoque(qt))  {
							System.out.println("Compra realizada com sucesso");
							System.out.println("O valor da compra sera de: " + temp.getValor() * qt);
							if (temp.checarEstoqueMínimo()) {
								System.out.println("Estoque minimo atingido");
							}
						}
						else
							System.out.println("Não existe quantidade em estoque para realizar a compra");
					}
					break;
				case 3: 
					System.out.print("Qual o codigo do produto a devolver: ");
					cod = Integer.parseInt(in.readLine());													
					System.out.print("Qual o quantidade do produto a devolver: ");
					qt = Integer.parseInt(in.readLine());													
					temp = buscaProduto(cod);
					if (temp != null) {
						temp.aumentarEstoque(qt);
						System.out.println("O estorno sera no valor de: " + temp.getValor() * qt);
					}
					break;
			}
		} while (opcao != 4);
		
	}
	
	public static Produto buscaProduto(int cod) {
		for(int i=0; i<produtos.length; ++i) {
			if (produtos[i].getId() == cod)
				return produtos[i];
		}
		return null;
	} 

}

